campagne:
  titre: "Code participation, compte"
  adminFamille: "Code unique"
  description: "Dossier : code unique + email <br/>Pas de compte joueur<br/>"
  is_disponible: true
  configuration:
    has_participant: false
    has_tirage: true
    participation_init:
      setActeur: AUCUN
    notes:
      mini_lock_fe: 100
      maxi_purgek: 99
    include_commons: [20.tirage-std.yml, 90.sys_cms.yml]
  etapes:
    fe_home:
      action: dossier
      etape: code_unique
      route: fe_home
    code_unique:
      type: dossier
      route: fe_dossier
      desc: saisie code unique
      init:
        requis:
          participation:
            getIsDossierLocked: false
        sinon: creerParticipation
      #        preaction : [tirage]
      lignes:
        5:
          type: text
          key: titre
          value: Jouer !
          css: titre
          tag: h1
        10:
          type: form
          key: scodeUnique
          note: 10
          label: "Votre code de participation"
          form_config: {}
          form_validation:
            NotBlank: ~
        80:
          type: form
          key: isAccepte
          note: 10
          label: ""
          form_config:
            "label": "J'accepte le règlement du jeu <small>(obligatoire)</small>"
          form_validation:
            IsTrue:
              message: Vous devez accepter le règlement
        90:
          type: reglement-btn
          key: reglement
          value: Règlement du jeu
          css: pull-right
        100:
          type: submit
          key: btnsubmit
          value: Valider
          css: btn btn-ok
      etapes_suivantes:
        ok: coordonnees
    coordonnees:
      type: dossier
      route: fe_dossier
      desc: saisie email
      init:
        requis:
          participation:
            getIsDossierLocked: false
        sinon: fe_home
      #        preaction : [tirage]
      lignes:
        5:
          type: text
          key: titre
          value: Votre email
          css: titre
          tag: h1
        30:
          type: form
          key: email
          note: 80
          label: ""
          form_config: {}
          form_validation:
            NotBlank: ~
            Email: ~
        100:
          type: submit
          key: btnsubmit
          value: Valider
          css: btn btn-ok
      etapes_suivantes:
        ok: lock_participation
    lock_participation:
      type: redirect
      route: fe_lock_participation
      desc: tirage + validation de la participation et redirection
      init:
        requis:
          participation:
            getIsDossierLocked: false
            hasParticipant: false
        sinon: fe_home
      lignes:
        10:
          type: cms
          key: coordonnees_physique
          default: "Veuillez compléter vos coordonnées afin que nous puissions vous faire parvenir votre lot.<br/><br/>"
        30:
          type: form
          key: nom
          label: "Nom"
          form_config: {}
          form_validation:
            NotNull: ~
        40:
          type: form
          key: prenom
          label: "Prénom"
          form_config: {}
          form_validation:
            NotNull: ~
        50:
          type: form
          key: adr1
          label: "Adresse"
          form_config: {}
          form_validation:
            NotNull: ~
        60:
          type: form
          key: adr2
          label: "Complément"
          form_config: {}
        70:
          type: form
          key: cp
          label: "Code postal"
          form_config: {}
          form_validation:
            NotNull: ~
        80:
          type: form
          key: ville
          label: "Ville"
          form_config: {}
          form_validation:
            NotNull: ~
        100:
          type: submit
          key: btnsubmit
          value: Valider
          css: btn btn-ok
      etapes_suivantes:
        perdant: perdant
        gagnant: gagnant
        gagnant_possible: gagnant_possible
        tirage_impossible: tirage_impossible
